Custom theme editor buttons not working in WordPress 3.9

WordPress 3.9 includes a major update of  TinyMCE – the software powering the WordPress visual editor. TinyMCE 4.0 includes changes of the default buttons markup and some of the JavaScript initialization requirements that cause some compatibility issues with the code built for TinyMCE 3.0. This update requires updating the current custom buttons code in the Porcelain, Mineral and Evermore themes, at this point there aren’t any known issues with the rest of the themes.

Updates of these three themes that fix this compatibility issue are available for download on ThemeForest:

  • Mineral theme – version 1.4.0
  • Porcelain theme – version 1.2.0
  • Evermore theme – version 1.2.0

If you have an older version installed, please update to the latest version in order to fix the compatibility issue. You can either use the theme’s automatic update functionality to install the update or you can download the update from the Downloads section of your ThemeForest profile. You can read more about how to update the theme in the “Updates” section of the documentation.

Was this useful? 0